Updates the access level of an explicit filter contributor.

PUThttps://api.awork.com/api/v1/filters/{filterId}/contributors/{filterContributorId}
PUT https://api.awork.com/api/v1/filters/{filterId}/contributors/{filterContributorId}

Updating a filter contributor changes that contributor's explicit access level for the filter. The contributor entry must belong to the specified filter.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

filterIdstringRequired
format: uuid

The filter that owns the contributor entry.

filterContributorIdstringRequired
format: uuid

The contributor entry to update.

Request body Required

The new contributor permission payload.

application/json

accessLevelstringRequired

Allowed: "read" "manage"

minLength: 1

Determines the level of access granted to this contributor with respect to the referenced entity. Can be either set to read or manage.

Responses

200 OK

application/json

idstringOptional
format: uuid

The id of the contributor.

userIdstringOptional
format: uuid

The id of the user this contributor references.

accessLevelstring or nullOptional

Determines the level of access granted to this contributor with respect to the specific entity. Can be either set to read or manage.

400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

401 Unauthorized

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

404 Not Found

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation